(function($){
  	$.fn.SimpleGallery = function(_config){

		var 	_config = $.extend({
			swapDuration: 3500,
			fadeOutDuration: 200,
			fadeInDuration: 500,
			activeItem : 0
		}, _config);
		
		function _view($item){

			var $SG = $('#SimpleGallery');
			var itemCount = $SG.find('li').length;
			var itemIndex = ($item.index() + 1);

			if((itemIndex+1) != _config.activeItem && !(_config.activeItem == 0 && itemIndex == itemCount)){
				_config.activeItem = itemIndex;
				if(_config.activeItem == itemCount){
					_config.activeItem = 0;
				}
				$SG.find('div')
					.stop() // Stop current effect
					.fadeTo(0, 1) // Reset image's opacity
					.fadeOut(_config.fadeOutDuration, function(){ // Start image's fade in for hide old image item
						$(this).find('img').attr('src',$item.find('a').attr('href')); // Set current image
						$(this).find('span').text($item.find('a').attr('title')); // Set current description
						$(this).fadeIn(_config.fadeInDuration); // Start image's fade out for show current image item
					});
			}
		}
		
		function _play(){
			_view($('#SimpleGallery').find('li').eq(_config.activeItem));
		}
		
		return this.each(function (){
			_play();
			var _interval = setInterval(_play, _config.swapDuration);
			$(this).find('li').hover(function(){
				if(_interval){
					clearInterval(_interval);
				}
				_interval = setInterval(_play, _config.swapDuration);
				$('#SimpleGallery').find('div').show();
				_view($(this));
			}).find('a').click(function(){return false;});
		});
  	}
})(jQuery);